# NATS C Client with JetStream and Streaming support: micro_service_stats_s Struct Reference

Loading...
Searching...
No Matches
micro_service_stats_s Struct Reference
EXPERIMENTAL - Microservices » Public structs

`#include <nats.h>`

## Public Attributes

const char * | Type
| Response type. Always `"io.nats.micro.v1.stats_response"`.
const char * | Name
| The name of the service.
const char * | Version
| The semantic version of the service.
const char * | Id
| The ID of the service instance responding to the request.
int64_t | Started
| The timestamp of when the service was started.
microEndpointStats * | Endpoints
| The stats for each endpoint of the service.
int | EndpointsLen
| The number of endpoints in the `endpoints` array.

## Detailed Description

The Microservice stats struct.

## Member Data Documentation

## Type

const char* micro_service_stats_s::Type

## Name

const char* micro_service_stats_s::Name

## Version

const char* micro_service_stats_s::Version

## Id

const char* micro_service_stats_s::Id

## Started

int64_t micro_service_stats_s::Started

## Endpoints

microEndpointStats* micro_service_stats_s::Endpoints

## EndpointsLen

int micro_service_stats_s::EndpointsLen

The documentation for this struct was generated from the following file:

- nats.h